import { JSX, JSXElement } from 'solid-js';
export interface RelativeProps extends JSX.HTMLAttributes<HTMLDivElement> {
    children?: JSXElement;
    fixed?: boolean;
}
/** @zh 将组件内部变为绝对定位, 可以配合 Position 实现角落位置 */
export declare const Relative: import("solid-js").Component<Omit<RelativeProps, "style" | "class"> & {
    ref?: HTMLDivElement | ((el: HTMLDivElement) => void);
    style?: string | JSX.CSSProperties;
    className?: string | string[] | typeof import("@cn-ui/use").classNames;
    class?: string | string[] | typeof import("@cn-ui/use").classNames;
    classList?: typeof import("@cn-ui/use").classNames | {
        [k: string]: boolean;
    };
}>;
